### Constructor

# Ide LspWorkspaceEdit new

#### Declaration

    IdeLspWorkspaceEdit*
    ide_lsp_workspace_edit_new (
      GVariant* variant
    )

#### Description

No description available.

#### Parameters

`variant` | `GVariant`
| No description available.
| The data is owned by the caller of the function.

#### Return value

Returns: | `IdeLspWorkspaceEdit`
| No description available.
| The caller of the function takes ownership of the data, and is responsible for freeing it.